Download it now!
Bug 129517 - problems with documentation for Position for numbered lists
Summary: problems with documentation for Position for numbered lists
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Help-Changes-Features
  Show dependency treegraph
 
Reported: 2019-12-20 13:16 UTC by sdc.blanco
Modified: 2020-01-23 12:29 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot collection (143.76 KB, application/vnd.oasis.opendocument.graphics)
2020-01-17 13:58 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2019-12-20 13:16:54 UTC
1. In LO 6.3.3.2:  Tools > Chapter Numbering - Position tab

2. Click on Help, which provides access to:  

help/en-US/text/shared/01/06050600.html?System=WIN&DbPAR=WRITER&HID=modules/swriter/ui/outlinepositionpage/OutlinePositionPage#bm_id3150280

(Same page is found online for 6.4 and 6.5):  https://help.libreoffice.org/6.5/en-US/text/shared/01/06050600.html

Problems.

1.  Styles - List Styles  does not seem to exist in the L0 6.3 and 6.4 menus.

2. The current help says:  "Select the level(s) that you want to modify."  which seems to imply that more than one level can be selected.

Possible to select more than one level in "Bullets and Numbering" dialog box, but can only select one level in "Chapter Numbering" dialog box.   If this is the intention, then maybe it should be noted explicitly that Chapter Numbering can only have one level.

3.  Maybe the 1-10 option should be explained.

4.  In the Note box it says:  "The new version of this tab page shows the controls "Numbering followed by", "Numbering alignment", "Aligned at", and "Indent at".

a.  Should the ordering of the controls correspond to the order in the dialog box?  (At present, they do not.)

b.  The "Tab stop at: control is not mentioned at all (or maybe it is the entry under the heading "at" )

5.  Maybe "Position and Spacing" should be mentioned as a header after "Level"

6. Should the list to controls discussed be in the same order as the dialog box?
(they are not at present)

7. Some of the mentioned controls do not appear in the "Bullets and Numbering" and "Chapter Numbering" dialog box -- such as:

a. Indent
b. Relative
c. Width of numbering
d. Minimum space between numbering and text 

8. Maybe as a UI enhancement, the label "Preview" should be added in the Dialog box over the preview window.
Comment 1 Commit Notification 2019-12-23 18:39:48 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/cae6f986df84bc86b4c238532ed0ded1ac7701c5

tdf#129517 add some missing words to a heading
Comment 2 Commit Notification 2020-01-06 08:57:48 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9667a8ab1c4809c75f6258a8739b9036c86b2a37

tdf#129517 add "Preview" labels in BulletandNumberingStyle dialog box

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-01-08 11:34:49 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d54315e5cb371afd01c5f03958dda9bcf93514e5

tdf#129517 add "Preview" labels in BulletandNumberingStyle dialog box"

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 sdc.blanco 2020-01-17 09:33:30 UTC
(In reply to sdc.blanco from comment #0)
> 7. Some of the mentioned controls do not appear in the "Bullets and
> Numbering" and "Chapter Numbering" dialog box -- such as:
> 
> a. Indent
> b. Relative
> c. Width of numbering
> d. Minimum space between numbering and text 
Set ODF format version to 1.0/1.1 (In Tools - Options - Load/Save - General)
These controls now appear. (They also appear if a document in ODF 1.0 or 1.1 is opened)

Possible (Alternative) responses.
1.  Can "Help" button (F1) be "document" sensitive?  (i.e., show one Position help page for 1.2 documents and another page for 1.0 and 1.1)

2.  Make a "heading" (or colored box) in the current page  "For documents with  ODF 1.0/1.1 format" - to mark off these items.

3.  Make a separate page for 1.0/1.1 format, with a link between the new page and the current (1.2 format page)

In all cases, the Note (from ca. 2008) needs to be improved.  (How can a new user know the significance of "OpenOffice 3.0" in this case.  Seems better to mention ODF formats.  

In effect, the proposals here are an attempt to give a more understandable presentation (for already complicated formatting controls).  Should be possible to drop (or shorten) the "Note".  (Can "show" the points in the note in the layout of the help, e.g., with headings or links)
Comment 5 Regina Henschel 2020-01-17 13:58:01 UTC
Created attachment 157225 [details]
Screenshot collection

It is not an ODF 1.0 problem. If a document uses the old kind of numbering, then it is kept when saving as ODF 1.2. And you do not know what kind of numbering foreign documents use.

In addition, Impress/Draw has now a dialog where "Position" and "Customize" pages are combined.

My suggestion would be to write for each kind of the dialog an own help page. The old help could embed text from other places to avoid writing same text several times. Is that still possible with the new help?

I count: other kind Chapter Numbering, default Chapter Numbering, other kind Bullets&Numbering, Writer Bullets&Numbering, Impress/Calc Bullets&Numbering.
Comment 6 sdc.blanco 2020-01-17 14:52:09 UTC
(In reply to Regina Henschel from comment #5)
>Screenshot collection
Thanks for helpful collection.

> In addition, Impress/Draw has now a dialog where "Position" and "Customize"
> pages are combined.
Yes.  Part of addressing bug #120905.

> My suggestion would be to write for each kind of the dialog an own help
> page. 
+1  Olivier?

> The old help could embed text from other places to avoid writing same
> text several times. Is that still possible with the new help?
Yes.

> I count: other kind Chapter Numbering, default Chapter Numbering, other kind
> Bullets&Numbering, Writer Bullets&Numbering, Impress/Calc Bullets&Numbering.
Have similar count, where Chapter Numbering and Writer Bullets&Numbering are identical.  (and I think you meant "Impress/Draw").

Does the new Impress/Draw dialog always appear the same (no matter what numbering format)?  

If so, then 3 Position help pages.

1.  (default Writer) Chapter Number/ Writer Bullets&Numbering

2.  (other) Chapter Numbering / Writer Bullets&Numbering
      (but Load/Save button for Chapter Numbering and Remove button for Writer) 
        [could not see these buttons in my version]

3.  Draw/Impress Bullets&Numbering  (almost identical, can handle Separator section in Draw with "appl" switch).
Comment 7 sdc.blanco 2020-01-17 16:07:04 UTC
(In reply to sdc.blanco from comment #6)
> 3.  Draw/Impress Bullets&Numbering  (almost identical, can handle Separator
> section in Draw with "appl" switch).
Correction:  the difference is between Bullets/Graphics and Numbering (and appears in both modules).  Just need to mention that Separator only appears with Numbering.
Comment 8 Regina Henschel 2020-01-17 16:31:38 UTC
(In reply to sdc.blanco from comment #6)
> > I count: other kind Chapter Numbering, default Chapter Numbering, other kind
> > Bullets&Numbering, Writer Bullets&Numbering, Impress/Calc Bullets&Numbering.
> Have similar count, where Chapter Numbering and Writer Bullets&Numbering are
> identical.  (and I think you meant "Impress/Draw").
Yes. Impress/Draw

Differences between Chapter Numbering and Bullets&Numbering in Writer:
Tab name Numbering <-> Customize;
button Load/Save, button Apply;
arrangement of parts Level, Preview, Position and Spacing, and button Default;
order of "Numbering alignment" and "Aligned at";
in tab Numbering: Character Numbering has Paragraph style, Numbering style has "Consecutive numbering".
Bullet&Numbering dialog allows multi-selection of in Level, Chapter Numbering not.

> 
> Does the new Impress/Draw dialog always appear the same (no matter what
> numbering format)?

Position, Size, Properties-Type and Properties-Color are the same. Bullets have Character, Numbering has Separator and Properties-Start at.
Comment 9 sdc.blanco 2020-01-17 17:31:35 UTC
(In reply to Regina Henschel from comment #8)
Many thanks for this useful list.  You have "sharp eyes" (or much experience with these dialog boxes).   Some followup questions/comments.

> Differences between Chapter Numbering and Bullets&Numbering in Writer:
> Tab name Numbering <-> Customize;
Ok.  My focus here is just on help page for "Position" tab.  I think this is handled on another help page.

> button Load/Save, button Apply;
Never noticed Load/Save before in Chapter Numbering (!).

https://help.libreoffice.org/6.5/en-US/text/swriter/01/06060000.html
provides help about this.  (The "Position" item on that page links to the page that I am trying to improve.)

Can use embed to add help for "Apply"

> arrangement of parts Level, Preview, Position and Spacing, and button
> Default;
(noticed they were different in your attachment, but they are the same in the Position tab in my UI)  - (have never seen a help page discuss UI "layout")

> order of "Numbering alignment" and "Aligned at";
will not comment on help page, the controls will be listed next to each other.

> in tab Numbering: Character Numbering has Paragraph style, Numbering style
> has "Consecutive numbering".
Ok. Not Position tab. 

> Bullet&Numbering dialog allows multi-selection of in Level, Chapter
> Numbering not.
Thanks. (was question #2 in OP).  Will assume this is intentional (or at least the actual behavior), and specify on the help page.
 
> > Does the new Impress/Draw dialog always appear the same (no matter what
> > numbering format)?
> 
> Position, Size, Properties-Type and Properties-Color are the same. Bullets
> have Character, Numbering has Separator and Properties-Start at.
Just to be sure -- because I am not sure I asked clearly.

You explained that "default" and "other (or old) kind"  of numbering format give different control parameters in the Position tab for Writer (depending on which numbering format was used).  My question about (the new) Draw/Impress is whether they will encounter the same situation as Writer? (change controls depending on the "default" or "old/other kind".  Or will they always show the same controls in the Position tab, no matter whether it was LO or a foreign "other kind" of numbering?

Many thanks for your help -- both to understand -- and to make sure all the nuances are noted and preserved.
Comment 10 Olivier Hallot 2020-01-17 18:41:49 UTC
(In reply to sdc.blanco from comment #6)
> (In reply to Regina Henschel from comment #5)
(snip)
> > My suggestion would be to write for each kind of the dialog an own help
> > page. 
> +1  Olivier?

No problem to add pages, for the sake of accuracy. Repetitive contents can be wrapped in sections and embedded, as said below.

> > The old help could embed text from other places to avoid writing same
> > text several times. Is that still possible with the new help?
> Yes.
> 
> > I count: other kind Chapter Numbering, default Chapter Numbering, other kind
> > Bullets&Numbering, Writer Bullets&Numbering, Impress/Calc Bullets&Numbering.
> Have similar count, where Chapter Numbering and Writer Bullets&Numbering are
> identical.  (and I think you meant "Impress/Draw").
> 
> Does the new Impress/Draw dialog always appear the same (no matter what
> numbering format)?  

Except for a nomenclature precision, where Impress has slides and Draw has pages, which is not addressed in the dialog as shown by the screenshots.

> 
> If so, then 3 Position help pages.
> 
> 1.  (default Writer) Chapter Number/ Writer Bullets&Numbering
> 
> 2.  (other) Chapter Numbering / Writer Bullets&Numbering
>       (but Load/Save button for Chapter Numbering and Remove button for
> Writer) 
>         [could not see these buttons in my version]
> 
> 3.  Draw/Impress Bullets&Numbering  (almost identical, can handle Separator
> section in Draw with "appl" switch).

yes. Proceed even if the UI is not yet corrected.
Comment 11 sdc.blanco 2020-01-17 23:59:31 UTC
(In reply to Olivier Hallot from comment #10)
> No problem to add pages, for the sake of accuracy. Repetitive contents can
> be wrapped in sections and embedded, as said below.
Almost done with the list of problems in this bug's original report, so made new tickets for the other two pages.  

Can you make a "stub" for each page, so that it gets the right file name and right file directory? 

I can make sections in the current "Postion" help page (text/shared/01/06050600.xhp) and then embed relevant sections into these two stubs.

But I do not know how to make bookmarks or what bookmarks should be made.
 
> Except for a nomenclature precision, where Impress has slides and Draw has
> pages, which is not addressed in the dialog as shown by the screenshots.
I think --- for now -- both Draw and Impress use the word "Slide" in their dialog box (from 6.3 - 6.5.0.0.alpha)  (will follow whatever is in the dialog box)
Comment 12 Commit Notification 2020-01-23 01:18:01 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/d306cc3fc4d97c5e599acc6ad1bcb068d94085f9

tdf#129517 corrections in position help page for List Styles
Comment 13 sdc.blanco 2020-01-23 12:29:48 UTC
All 8 points in the OP have been addressed. A new page will be created (bug #130064) to separate the two different kinds of position controls that can appear. So closing as fixed.